For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList custom field definitions
      • POSTCreate a custom field definition
      • DELDelete a custom field definition
      • PATCHUpdate a custom field definition
API ReferenceCustom Fields

Create a custom field definition

POST
https://devapi.withverifa.com/api/v1/identity-types/:type_id/fields
POST
/api/v1/identity-types/:type_id/fields
$curl -X POST https://devapi.withverifa.com/api/v1/identity-types/type_id/fields \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "employee_id",
> "label": "Employee ID",
> "field_type": "string"
>}'
1{
2 "id": "cfield_abc123",
3 "org_id": "org_abc123",
4 "identity_type_id": "idtype_abc123",
5 "name": "employee_id",
6 "label": "Employee ID",
7 "field_type": "string",
8 "is_required": true,
9 "created_at": "2024-01-15T09:30:00Z",
10 "is_unique": true,
11 "is_encrypted": true,
12 "enum_values": [
13 "string"
14 ],
15 "validation_regex": "string",
16 "sort_order": 1
17}
Was this page helpful?
Previous

Delete a custom field definition

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

type_idstringRequired

Identity type ID (idtype_*).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Key-InflectionenumOptionalDefaults to snake

Response key casing. Defaults to snake.

Allowed values:
Idempotency-KeystringOptional<=255 characters

Unique key for idempotent requests. Cached for 24 hours. Sending the same key with different parameters returns 422.

Request

This endpoint expects an object.
namestringRequired

Machine-readable field name.

labelstringRequired

Human-readable label.

field_typeenumRequired
Data type for this field.
is_requiredbooleanOptionalDefaults to false
Whether this field is required on identities of this type.
is_uniquebooleanOptionalDefaults to false
Whether values must be unique across identities.
is_encryptedbooleanOptionalDefaults to false
Whether values are encrypted at rest.
enum_valueslist of stringsOptional

Allowed values when field_type is enum.

validation_regexstringOptional
Optional regex pattern for value validation.
sort_orderintegerOptional
Display order for the field.

Response

Custom field definition created.
idstring
org_idstring
identity_type_idstring
namestring
labelstring
field_typeenum
is_requiredboolean
created_atdatetime
is_uniqueboolean
is_encryptedboolean
enum_valueslist of strings
validation_regexstring
sort_orderinteger

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error